Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.stax.converter.util
Class XMLFilterImplEx

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          org.apache.cocoon.stax.converter.util.XMLFilterImplEx

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, LexicalHandler, XMLFilter, XMLReader

    public class XMLFilterImplEx

extends XMLFilterImpl
implements LexicalHandler

Extension to XMLFilterImpl that implements LexicalHandler.

Version:
  from stax-utils stable version stax-utils-20070216

Field Summary
`protected LexicalHandler` | `lexicalHandler`
`protected boolean` | `namespacePrefixes`

Constructor Summary
`XMLFilterImplEx()`

Method Summary
`void` | `comment(char[] ch, int start, int length)`
`void` | `endCDATA()`
`void` | `endDTD()`
`void` | `endEntity(String name)`
`LexicalHandler` | `getLexicalHandler()` Get the lexical event handler.
`boolean` | `getNamespacePrefixes()`
`void` | `setLexicalHandler(LexicalHandler handler)` Set the lexical event handler.
`void` | `setNamespacePrefixes(boolean v)`
`void` | `startCDATA()`
`void` | `startDTD(String name, String publicId, String systemId)`
`void` | `startEntity(String name)`

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lexicalHandler

    protected LexicalHandler lexicalHandler

### namespacePrefixes

    protected boolean namespacePrefixes

Constructor Detail

### XMLFilterImplEx

    public XMLFilterImplEx()

Method Detail

### setNamespacePrefixes

    public void setNamespacePrefixes(boolean v)

### getNamespacePrefixes

    public boolean getNamespacePrefixes()

### setLexicalHandler

    public void setLexicalHandler(LexicalHandler handler)

  Set the lexical event handler.

  Parameters:
    `handler` - the new lexical handler

### getLexicalHandler

    public LexicalHandler getLexicalHandler()

  Get the lexical event handler.

  Returns:
    The current lexical handler, or null if none was set.

### startDTD

    public void startDTD(String name,
                         String publicId,
                         String systemId)
                  throws SAXException

  Specified by:
    `startDTD` in interface `LexicalHandler`
  Throws:
    `SAXException`

### endDTD

    public void endDTD()
                throws SAXException

  Specified by:
    `endDTD` in interface `LexicalHandler`
  Throws:
    `SAXException`

### startEntity

    public void startEntity(String name)
                     throws SAXException

  Specified by:
    `startEntity` in interface `LexicalHandler`
  Throws:
    `SAXException`

### endEntity

    public void endEntity(String name)
                   throws SAXException

  Specified by:
    `endEntity` in interface `LexicalHandler`
  Throws:
    `SAXException`

### startCDATA

    public void startCDATA()
                    throws SAXException

  Specified by:
    `startCDATA` in interface `LexicalHandler`
  Throws:
    `SAXException`

### endCDATA

    public void endCDATA()
                  throws SAXException

  Specified by:
    `endCDATA` in interface `LexicalHandler`
  Throws:
    `SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws SAXException

  Specified by:
    `comment` in interface `LexicalHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.